import { IconPrefix, IconDefinition, IconName } from '@fortawesome/fontawesome-common-types';

declare type faIconPrefix = IconPrefix | 'fa';
interface Library {
    definitions?: {
        [key: string]: IconDefinition;
    };
}
declare type IconSplit = [faIconPrefix, IconName];
declare type IconString = `${faIconPrefix}:${IconName}`;
declare function useFa(app: any, icon_aliases: any): Promise<void>;

export { IconSplit, IconString, Library, faIconPrefix, useFa };
